Clear the searchable snapshots shared cache

  • POST /{index}/_searchable_snapshots/cache/clear
  • POST /_searchable_snapshots/cache/clear
Auth

Clear indices and data streams from the shared cache for partially mounted indices.

Read the reference documentation

Required authorization

Index privileges manage
Cluster privileges manage

Path parameters

index union string | string[] optional

A comma-separated list of data streams, indices, and aliases to clear from the cache. It supports wildcards (*).

Leave it out to use /_searchable_snapshots/cache/clear.

Query parameters

expand_wildcards union oneOf · default: open

Whether to expand wildcard expression to concrete indices that are open, closed or both

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
allow_no_indices boolean

Whether to ignore if a wildcard indices expression resolves into no concrete indices. (This includes _all string or when no indices have been specified)

ignore_unavailable boolean

Whether specified concrete indices should be ignored when unavailable (missing or closed)

Response

application/json

Response Type: object